%define upstream_name yuicompressor

Name:           python-%{upstream_name}
Version:        2.4.8
Release:        %mkrel 4
Summary:        YUI Compressor packaged for Python
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/yuicompressor/
Source0:        https://files.pythonhosted.org/packages/82/c5/d548ed764760e8e2f37ebabe88a787f7b50ed7804b89cb94e3b4e1ce10d6/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
YUI Compressor is a JavaScript and CSS minifier written in Java. This package
bundles the YUI Compressor JAR file to ease its use in Python projects. Note
that you still need to have Java Runtime Environment installed.

%package -n     python3-%{upstream_name}
Summary:        YUI Compressor packaged for Python
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:       jre-headless

%description -n python3-%{upstream_name}
YUI Compressor is a JavaScript and CSS minifier written in Java. This package
bundles the YUI Compressor JAR file to ease its use in Python projects. Note
that you still need to have Java Runtime Environment installed.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/yuicompressor %{buildroot}%{_bindir}/yuicompressor3

%files -n python3-%{upstream_name}
%doc README LICENSE CHANGES
%{_bindir}/yuicompressor3
%{python3_sitelib}/yuicompressor
%{python3_sitelib}/yuicompressor-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 2.4.8-4.mga8
+ Revision: 1608356
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 2.4.8-3.mga8
+ Revision: 1532506
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 2.4.8-2.mga8
+ Revision: 1442481
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 2.4.8-1.mga8
+ Revision: 1417071
- imported package python-yuicompressor

